%define python3_pkgversion 3.11

# Created by pyp2rpm-3.3.10
%global pypi_name botocore
%global pypi_version 1.34.99

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Low-level, data-driven core of boto 3

License:        Apache License 2.0
URL:            https://github.com/boto/botocore
Source0:        botocore-1.34.99.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-jmespath >= 0.7.1
BuildRequires:  (python%{python3_pkgversion}dist(urllib3) >= 1.25.4 with python%{python3_pkgversion}dist(urllib3) < 3~~)

%description
A low-level interface to a growing number of Amazon Web Services. The botocore package is the foundation for the AWS CLI as well as boto3.
Botocore is maintained and published by Amazon Web Services.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}dist(awscrt) = 0.20.9
Requires:       python%{python3_pkgversion}dist(jmespath) >= 0.7.1
Requires:       (python%{python3_pkgversion}dist(python-dateutil) >= 2.1 with python%{python3_pkgversion}dist(python-dateutil) < 3~~)
Requires:       (python%{python3_pkgversion}dist(urllib3) >= 1.25.4 with python%{python3_pkgversion}dist(urllib3) < 3~~)

%description -n python%{python3_pkgversion}-%{pypi_name}
A low-level interface to a growing number of Amazon Web Services. The botocore package is the foundation for the AWS CLI as well as boto3.
Botocore is maintained and published by Amazon Web Services.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.txt tests/unit/auth/aws4_testsuite/LICENSE
%doc README.rst docs/README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_pkgversion}.egg-info


%changelog
* Wed Jul 31 2024 David Sloboda <david.x.sloboda@oracle.com> - 1.34.99-1
- Initial package.

